Subject: Re: [PATCH net 08/13] ptp: Introduce strict checking of external time stamp options.

From: Richard Cochran <[email-masked]>
Date: Thu, 14 Nov 2019 11:44:10 -0800

On Thu, Nov 14, 2019 at 07:12:38PM +0000, Keller, Jacob E wrote:
> So, this patch adds the flag *and* modifies the drivers to accept it, but not actually enable strict checking?
> 
> I'd prefer if this flag got added, and the drivers were modified in separate patches to both allow the flag and to perform the strict check.. that feels like a cleaner patch boundary.
> 
> That would ofcourse break the drivers that reject the strict command until they're fixed in follow-on commands.. hmm

You are right, but if anything I'd squash the following four driver
patches into this one.  I left the series in little steps just to make
review easier.  Strictly speaking, if you were to do a git bisect from
the introduction of the "2" ioctls until here, you would find drivers'
acceptance of the new flags changing.  But it is too late to fix that,
and I doubt anyone will care.

IMHO it *is* important to have v5.4 with strict checking.

Thanks,
Richard